http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/outputs/{outputArn}Updates an existing flow output.
The flow that is associated with the output that you want to update.
The ARN of the output that you want to update.
The port to use when content is distributed to this output.
The protocol to use for the output.
The remote ID for the Zixi-pull stream.
The stream ID that you want to use for this transport. This parameter applies only to Zixi and SRT caller-based streams.
Information about the encryption of the flow.
The maximum latency in milliseconds. This parameter applies only to RIST-based, Zixi-based, and Fujitsu-based streams.
The minimum latency in milliseconds for SRT-based streams. In streams that use the SRT protocol, this value that you set on your MediaConnect source or output represents the minimal potential latency of that connection. The latency of the stream is set to the highest number between the sender’s minimum latency and the receiver’s minimum latency.
A description of the output. This description appears only on the AWS Elemental MediaConnect console and will not be seen by the end user.
The IP address where you want to send the output.
The range of IP addresses that should be allowed to initiate output requests to this flow. These IP addresses should be in the form of a Classless Inter-Domain Routing (CIDR) block; for example, 10.0.0.0/16.
The IP address that the flow communicates with to initiate connection with the sender.
The smoothing latency in milliseconds for RIST, RTP, and RTP-FEC streams.
The port that the flow uses to send outbound requests to initiate connection with the sender.
The settings for attaching a VPC interface to an resource.
The media streams that are associated with the output, and the parameters for those associations.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/outputs/{outputArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/outputs/{outputArn}Updates an existing flow output.
The flow that is associated with the output that you want to update.
The ARN of the output that you want to update.
The port to use when content is distributed to this output.
The protocol to use for the output.
The remote ID for the Zixi-pull stream.
The stream ID that you want to use for this transport. This parameter applies only to Zixi and SRT caller-based streams.
Information about the encryption of the flow.
The maximum latency in milliseconds. This parameter applies only to RIST-based, Zixi-based, and Fujitsu-based streams.
The minimum latency in milliseconds for SRT-based streams. In streams that use the SRT protocol, this value that you set on your MediaConnect source or output represents the minimal potential latency of that connection. The latency of the stream is set to the highest number between the sender’s minimum latency and the receiver’s minimum latency.
A description of the output. This description appears only on the AWS Elemental MediaConnect console and will not be seen by the end user.
The IP address where you want to send the output.
The range of IP addresses that should be allowed to initiate output requests to this flow. These IP addresses should be in the form of a Classless Inter-Domain Routing (CIDR) block; for example, 10.0.0.0/16.
The IP address that the flow communicates with to initiate connection with the sender.
The smoothing latency in milliseconds for RIST, RTP, and RTP-FEC streams.
The port that the flow uses to send outbound requests to initiate connection with the sender.
The settings for attaching a VPC interface to an resource.
The media streams that are associated with the output, and the parameters for those associations.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://mediaconnect.{region}.amazonaws.com/v1/flows/{flowArn}/outputs/{outputArn}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}